# Uses of Interface
java.awt.datatransfer.FlavorMap

Packages that use FlavorMap
Package
Description
java.awt.datatransfer
Provides interfaces and classes for transferring data between and within applications.
java.awt.dnd
Drag and Drop is a direct manipulation gesture found in many Graphical User Interface systems that provides a mechanism to transfer information between two entities logically associated with presentation elements in the GUI.

## Uses of FlavorMap in java.awt.datatransfer

Subinterfaces of FlavorMap in java.awt.datatransfer
Modifier and Type
Interface
Description
`interface`
`FlavorTable`
A FlavorMap which relaxes the traditional 1-to-1 restriction of a Map.
Classes in java.awt.datatransfer that implement FlavorMap
Modifier and Type
Class
Description
`final class`
`SystemFlavorMap`
The SystemFlavorMap is a configurable map between "natives" (Strings), which correspond to platform-specific data formats, and "flavors" (DataFlavors), which correspond to platform-independent MIME types.
Methods in java.awt.datatransfer that return FlavorMap
Modifier and Type
Method
Description
`static FlavorMap`
SystemFlavorMap.`getDefaultFlavorMap()`
Returns the default FlavorMap for this thread's ClassLoader.

## Uses of FlavorMap in java.awt.dnd

Methods in java.awt.dnd that return FlavorMap
Modifier and Type
Method
Description
`FlavorMap`
DragSource.`getFlavorMap()`
This method returns the `FlavorMap` for this `DragSource`.
`FlavorMap`
DropTarget.`getFlavorMap()`
Gets the `FlavorMap` associated with this `DropTarget`.
Methods in java.awt.dnd with parameters of type FlavorMap
Modifier and Type
Method
Description
`void`
DropTarget.`setFlavorMap(FlavorMap fm)`
Sets the `FlavorMap` associated with this `DropTarget`.
`void`
DragSource.`startDrag(DragGestureEvent trigger, Cursor dragCursor, Transferable transferable, DragSourceListener dsl, FlavorMap flavorMap)`
Start a drag, given the `DragGestureEvent` that initiated the drag, the initial `Cursor` to use, the `Transferable` subject data of the drag, the `DragSourceListener`, and the `FlavorMap`.
`void`
DragSource.`startDrag(DragGestureEvent trigger, Cursor dragCursor, Image dragImage, Point imageOffset, Transferable transferable, DragSourceListener dsl, FlavorMap flavorMap)`
Start a drag, given the `DragGestureEvent` that initiated the drag, the initial `Cursor` to use, the `Image` to drag, the offset of the `Image` origin from the hotspot of the `Cursor` at the instant of the trigger, the `Transferable` subject data of the drag, the `DragSourceListener`, and the `FlavorMap`.
Constructors in java.awt.dnd with parameters of type FlavorMap
Modifier
Constructor
Description
``
`DropTarget(Component c, int ops, DropTargetListener dtl, boolean act, FlavorMap fm)`
Creates a new DropTarget given the `Component` to associate itself with, an `int` representing the default acceptable action(s) to support, a `DropTargetListener` to handle event processing, a `boolean` indicating if the `DropTarget` is currently accepting drops, and a `FlavorMap` to use (or null for the default `FlavorMap`).